Subject: Re: Jorge - Answer these question - or face litigation and the ethicscommittee of your licensing bar assoc's

From: John C Klensin <[email-masked]>
Date: Tue, 22 Jul 2008 17:34:01 -0400

Todd,

I'm going to regret getting sucked into this discussion, but I
want to give you a nice, simple, layman's answer to what I think
it your collection of questions.  I am not a lawyer and this is
not legal advice to either you or the IETF, but I do have enough
understanding of the process to be able to make a fairly good
guess as to what is going on.

First of all, the patent system, since its origins, encourages
an inventor to disclose the invention --in sufficient detail
that it can be implemented and tested-- to encourage general
discussion, the advancement of science and technology, and so
on.  In return for doing that, the inventor gets a certain
amount of protection and rights to exclusivity in manufacturing
and marketing products that depend on the invention.   Parts of
several of your notes imply that, as a consequence of having
applied for, or even being granted, a patent, you have the right
to control discussion of the technology or to prevent additional
work that is inspired by it.  I believe that the technical term
to describe that position --whether it is really the one you
intended to take or not -- is "complete nonsense".

Inventors who want to avoid disclosure and public discussion of
their inventions are much better advised to simply keep them
secret, hoping that no one will independently figure out the
idea and either publish it, apply for a patent, or, for the
relevant jurisdictions, engage in a dispute about who was first
to invent.  Trying to keep secrets in the hope that independent
discoveries will not occur is, of course, a calculated risk.

Now, with regard to IETF WGs, if they actually invent things
--develop new intellectual property-- and then publish it, then
such publication is a candidate for being treated as prior art.
In first-to-invent jurisdictions, their claim to invention would
presumably date from the first time the idea was introduced into
the WG and discussed, if not earlier.  

If I come into a WG and suggest an idea that they refine and
publish in an IETF document, and I later decide that I want to
patent that idea, shame on me.  Maybe, given assorted subtle
rules about first invention and first publication, I have a
chance of getting the idea patented anyway, but I certainly
cannot blame the IETF if I cannot.    Similarly, if I file an
IPR disclosure with the IETF that does not actually identify a
patent, but provides a WG with enough information to make a
parallel invention on their own, I'd better be sure that any
patent I've applied for will be granted and that its claims
cover whatever the WG is going to come up with.  Otherwise, I
might luck out but, if I don't, my fault, not the IETF's.

Possibly even worse from my (hypothetical) standpoint, if I
wandered into an IETF WG, or commented on the charter of a
proposed one, and sketched out a vague idea and then went off
and created an invention based on that idea and tried to patent
it, only to find out that the WG had managed to come up with the
same result, I would think I would be extremely vunerable to
claims that my supposed invention was obvious.  Certainly two
parties (myself and the WG) coming up with the same
invention-type ideas at the same time doesn't prove obviousness
but it wouldn't help to make a case that my idea is absolutely
novel and unique either.

The IETF's IPR policies are designed to protect the process from
someone who patents an idea and then tries to get it turned into
a Standard that would require licensing in a way that catches
everyone by surprise --especially if a WG that knew about the
patent might have tried to devise a mechanism that didn't depend
on it.   They are also designed to balance the copyright
interests of authors and editors against the needs of the IETF
to be able to work on and develop documents and the needs of
implementers to use those documents as part of their
implementations.

It seems to me that you are looking for those policies to cover
your presumed right to say "I have a patent" or even "I may be
thinking about filing a patent" and thereby block IETF
discussion, adaptation, or creating derived works or
alternatives to whatever you are claiming.  There is just no way
for you to do that, no matter how much insistent or hostile
language you use.  If you are concerned about the IETF stealing
your ideas, I think your best course of action (and, again, this
isn't legal advice) is probably to avoid telling us about then
and to hope we don't figure out the same thing on our own.

And, if you believe that your interpretation is correct and I
correctly understand that you are claiming that your generating
an IPR claim should prevent the IETF from discussing the
technology you claim to own without obtaining a license from
you, then please stop the noise and sue -- it is ultimately the
only way that you have a chance of settling this in your favor.

Russ, Harald is on vacation and reading mail only episodically
(and perhaps not reading this thread at all).   Let me add my
voice to those of others who have suggested that it is time to
put a stop, at least a temporary one, to this thread and to
suggest that, as AD, you can clearly step in for an absent AD.

     john

--On Tuesday, 22 July, 2008 10:10 -0700 TS Glassey
<[email-masked]> wrote:

> Endre - as a reasonable person - and in a reasonable tone,
> what happens when this WG says "We want to ignore Patent Law
> and claim it doesn't exist nor that we are constrained by
> those Laws that we are not happy with?"
> 
> My point in asking is that Patent Law is very simple. And the
> Patent people are pretty clear that US Patent Law requires
> proper time-clocks be kept when IP is published in any form.
> Likewise that patent filing in Japan is useless if there is
> any prior art in print per the patent offices definitions of
> what prior art means?
> 
> Why is it that the IETF is unwilling to acknowledge that its
> work effects patent filing's for IP protection in any number
> of countries around the World?

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg

---

From: "TS Glassey" <[email-masked]>
Date: Wed, 23 Jul 2008 18:59:49 -0700

Thanks Dean... Gentlemen please answer the questions as they were asked.

Todd Glassey

----- Original Message ----- 
From: "Dean Anderson" <[email-masked]>
To: "TS Glassey" <[email-masked]>
Cc: <[email-masked]>; "'Contreras, Jorge'" 
<[email-masked]>; <[email-masked]>; "'Ray Pelletier - ISOC'" 
<[email-masked]>; <[email-masked]>
Sent: Wednesday, July 23, 2008 6:05 PM
Subject: Re: Jorge - Answer these question - or face litigation and the 
ethicscommittee of your licensing bar assoc's

> On Tue, 22 Jul 2008, TS Glassey wrote:
>
>> > As Jorge keeps reminding everyone, I am not IETF's attorney. But I am 
>> > an
>> > attorney, and so I am personally disgusted by the behavior of Todd 
>> > Glassey
>> > toward another attorney on this forum.
>
> Perhaps _both_ of the licensed attorneys could be more direct. I'd like
> to see credible legal opinions, not political and evasive answers.
>
>> > There is a code of behavior among attorneys and presumably their
>> > clients that promotes the calm and reasoned discussion of issues.
>
> As I understand those rules, when one asks a question of a lawyer and
> receives an evasive, less than truthful answer, one can invoke the
> doctrine of "unclean hands".
>
>> Besides calm discussion is exactly what you and others are trying to
>> prevent.
>
> That's a good point. Frivolous complaints about the question appear to
> merely avoid answering the question.  A credible legal answer would put
> this all to bed.  There is no reason for Atty Rosen to disparage the
> question as being stupid.  As I keep the score, it was Atty Rosen who
> first made disparaging remarks that would seem to violate the code of
> behavior for calm and reasoned discussion.
>
>> > That code does not allow anyone to insist to anyone else that
>> > certain "questions" be answered.
>
>> > There is simply no obligation by anyone to do so short of a subpoena.
>
> Actually, there is a civil way to insist--as Atty Rosen mentioned, a
> subpoena is the strongest tool to insist that questions be answered.
> But an oral or written demand for an answer seems to be quite reasonable
> before litigation is filed and/or a subpoena is requested.  Mr. Glassey
> has made demands for answers, and all that he has received is evasive,
> political responses.  To these evasive respones Mr Glassey has merely
> asked increasingly blunt questions and asserted there is an obligation
> of an attorney to give an honest answer; to which Mr.  Rosen has
> attacked both the question and the questioner.  The Model Rules of
> Professional Conduct seem to require attorneys give honest and
> forthright answers.
>
> Attorney Rosen's complaint seems to boil down to the fact that he
> doesn't want to give a non-frivolous response to the questions asked,
> but doesn't want to be seen as being unresponsive or frivolous for not
> answering.  Mr. Glassey is just making it clear that Atty's Rosen and
> Contreras aren't being responsive. Mr Glassey is also asserting that
> attorneys involved in the debate as identified professional attorneys,
> have more obligations to state the law and state reasonable legal
> opinions than non-attorneys. This assertion seems reasonable under the
> Model Professional Rules of Conduct.
>
> It seems to me that Atty. Contreras, as the IETF Counsel, has a duty to
> be responsive to IETF questions.  It seems to me that Atty Rosen is
> merely making political and evasive answers that merely enable Mr.
> Contreras to avoid responding.
>
>> Garbage. There is NO Code that you speak of - it simply doesnt exist.
>
> There is indeed such a code for the professional conduct of attorneys.
> It can be found here:  [ http://www.abanet.org/cpr/mrpc/mrpc_toc.html ]
> The various state Bar Association rules are presumably similar.  While
> I'm not an attorney, these Model Rules of Professional Conduct do not
> appear to support Attorney Rosen's contention about Mr. Glassey's
> conduct. As Mr. Glassey pointed out, these rules that apply to
> attorney's including Mr. Rosen and Mr. Contreras don't apply to Mr.
> Glassey.  I think if an attorney made Mr. Glassey's demands, the
> statements Mr Glassey made would still not violate the Model Rules of
> Professional Conduct.
>
> Furthermore, Mr. Glassey has apologized for any offense found in his
> questioning. That does not mean the question should be retracted or not
> answered.
>
>
> --Dean
>
> -- 
> Av8 Internet   Prepared to pay a premium for better service?
> www.av8.net         faster, more reliable, better service
> 617 344 9000
>
>
>
>
>
> No virus found in this incoming message.
> Checked by AVG - http://www.avg.com
> Version: 8.0.138 / Virus Database: 270.5.5/1569 - Release Date: 7/23/2008 
> 1:31 PM
>
>
>